#!/bin/bash
################################################################################
# Intended use: Compile and extract software packages
#
# Notes: This script support Linux Bash shell script only
# Install Bash from https://www.gnu.org/software/bash/
#
# Copyright (C) 2015 - 2025, CT129 Dev Team <dev@ct129.com>
################################################################################

# Source path
export SCRIPT=$(readlink -f "$0")
export SCRIPT_PATH=$(dirname "$SCRIPT")
export SRC_DIR=${SCRIPT_PATH}/../..
export APP_NAME=$(basename $(dirname $(dirname "${SCRIPT_PATH}")))

cd ${SRC_DIR}

# Make for all *nix platfomr
make all

# Make for MS Windows
make bin-windows

################################################################################
#					BASH SCRIPT ON LINUX/UNIX - END
################################################################################