#!/bin/bash
################################################################################
# Intended use: Compile and extract software packages
#
# Notes: This script support Linux Bash shell script only
# Install Bash from https://www.gnu.org/software/bash/
#
# Copyright (C) 2015 - 2025, CT129 Dev Team <dev@ct129.com>
################################################################################

export GIT_BRACNH="main"

export TIMESTAMP=`date +"%Y-%m-%d %H:%M:%S"`
export SCRIPT=$(readlink -f "$0")
export SCRIPT_PATH=$(dirname "$SCRIPT")
export SRC_DIR=${SCRIPT_PATH}/../..

cd ${SRC_DIR}
git add .
git commit -m "${TIMESTAMP}"
git push -u origin ${GIT_BRACNH}
################################################################################
#					BASH SCRIPT ON LINUX/UNIX - END
################################################################################