#!/bin/bash
################################################################################
# Intended use: Compile and extract software packages
#
# Notes: This script support Linux Bash shell script only
# Install Bash from https://www.gnu.org/software/bash/
#
# Copyright (C) 2015 - 2025, CT129 Dev Team <dev@ct129.com>
################################################################################

export GIT_BRACNH="main"
export GIT_TAG="v1.0.0"

export TIMESTAMP=`date +"%Y-%m-%d %H:%M:%S"`
export SCRIPT=$(readlink -f "$0")
export SCRIPT_PATH=$(dirname "$SCRIPT")
export SRC_DIR=${SCRIPT_PATH}/../..

cd ${SRC_DIR}
git add .
git commit -m "${TIMESTAMP}"
git tag -d ${GIT_TAG}
git push origin :refs/tags/${GIT_TAG}
git tag -a ${GIT_TAG} -m ${GIT_TAG}
git push --tags
################################################################################
#					BASH SCRIPT ON LINUX/UNIX - END
################################################################################